Solved the problem - google revealed that i need to add :lib => 
"zip/zip" to my config.gem call, ie

  config.gem "rubyzip", :version => '0.9.1', :lib => "zip/zip"

Then i was able to freeze it into the app with
rake gems:unpack

Thanks for reading - if anyone wants to explain the logic of this to me 
i'd be happy to know - it seems like a random obstacle to me.
max
-- 
Posted via http://www.ruby-forum.com/.